NisusWrtParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
NisusWrtParserInternal::State Struct Reference

Internal: the state of a NisusWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::vector< Variable > | m_numberingList
| the list of numbering More...
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_numColumns
| the number of columns More...
float | m_columnSep
| the columns separator More...
NisusWrtStruct::FootnoteInfo | m_footnoteInfo
| the footnote placement More...
bool | m_isTextDocument
| a bool to know if we examine a text document or another thing glossary ... More...

## Detailed Description

Internal: the state of a NisusWrtParser.

## Constructor & Destructor Documentation

NisusWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int NisusWrtParserInternal::State::m_actPage

the actual page

float NisusWrtParserInternal::State::m_columnSep

the columns separator

int NisusWrtParserInternal::State::m_footerHeight

the footer height if known

NisusWrtStruct::FootnoteInfo NisusWrtParserInternal::State::m_footnoteInfo

the footnote placement

int NisusWrtParserInternal::State::m_headerHeight

the header height if known

bool NisusWrtParserInternal::State::m_isTextDocument

a bool to know if we examine a text document or another thing glossary ...

std::vector<Variable> NisusWrtParserInternal::State::m_numberingList

the list of numbering

int NisusWrtParserInternal::State::m_numColumns

the number of columns

int NisusWrtParserInternal::State::m_numPages

the number of page of the final document

Zone NisusWrtParserInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx